import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Date;
import java.util.List;
import java.util.Map;


public class Esercizio1 {
	
	public static void main(String[] args) throws IOException {
		URL u = new URL("http://localhost:7000");
		HttpURLConnection huc = (HttpURLConnection) u.openConnection();
		huc.connect();
		System.out.println("--slide 15-16-17--");
		System.out.println("ContentLength:" + huc.getContentLength());
		System.out.println("ContentEncoding:" + huc.getContentEncoding());
		System.out.println("ContentType:" + huc.getContentType());
		System.out.println("Date: " + new Date(huc.getDate()));
		System.out.println("DateExpiration: " + new Date(huc.getExpiration()));
		System.out.println("DateLastModified: " + new Date(huc.getLastModified()));
		System.out.println("--slide 18--");
		int count = 1;
		String key = huc.getHeaderFieldKey(count);
		while(key!=null){
			System.out.println(key + ":" + huc.getHeaderField(count));
			count++;
			key = huc.getHeaderFieldKey(count);
		}
		//Con mappa
		System.out.println("--con Mappa--");
		Map<String,List<String>> mappa = huc.getHeaderFields();
		for(String s: mappa.keySet()){
			System.out.println(s+":"+mappa.get(s).get(0));
		}
		
	}

}
