import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;


public class Esercizio2 {

	public static void main(String[] args) {
		try {
			URL u = new URL(args[0]);
			HttpURLConnection huc = (HttpURLConnection) u.openConnection();
			InputStream is = huc.getInputStream();
			int length = huc.getContentLength();
			String filename = u.getFile().substring(u.getFile().lastIndexOf("/")+1);
			FileOutputStream fos = new FileOutputStream(filename);
			if(length!=-1){
				byte[] bufferFile = new byte[length];
				int offset = 0;
				int byteLetti = 0;
				while(offset < length){
					byteLetti = is.read(bufferFile,offset,bufferFile.length-offset);
					if(byteLetti==-1) break;
					offset +=byteLetti;
				}
				is.close();
				if(offset != length){
					throw new IOException("Numero di byte letti non corretto");
				}
				fos.write(bufferFile);
			}
			else{
				byte[] buffer = new byte[512];
				int letti=0;
				while((letti=is.read(buffer))!=-1){
					fos.write(buffer, 0, letti);
				}
				is.close();
			}
			fos.close();
			
		} catch (MalformedURLException e) {
			System.out.println("URL malformato");
		} catch (IOException e) {
			System.out.println("Errore nella connessione");
		}
	}
}
