import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.List;


public class Esercizio5 {
	
	public static void main(String[] args) {
		try {
			String base = "http://www.google.it/search?q=";
			String query = URLEncoder.encode(args[0],"UTF-8");
			System.out.println(base + query);
			URL u = new URL(base+query);
			HttpURLConnection huc = (HttpURLConnection) u.openConnection();
			huc.setRequestProperty(
	                  "User-Agent",
	                  "Mozilla/5.0 (X11; U; Linux x86_64; en-GB; rv:1.8.1.6) Gecko/20070723 Iceweasel/2.0.0.6 (Debian-2.0.0.6-0etch1)");
			BufferedReader br = new BufferedReader(new InputStreamReader(huc.getInputStream()));
			String response = "";
			String line = "";
			while((line=br.readLine())!=null){
				response += line+"\r\n";
			}
			br.close();
			response = response.substring(response.indexOf("<body"));
			List<String> lista = estraiLink(response);
			for(String s: lista){
				System.out.println(s);
			}			
		}catch(MalformedURLException mue){}
		catch(IOException ioe){}
	}
	
	private static List<String> estraiLink(String risposta){
		List<String> listaLink = new ArrayList<>();
		String preambolo = "href=\"";
		int c = 0;
		int inizio,fine;
		while (risposta.indexOf(preambolo,c)>=0){
			inizio = risposta.indexOf(preambolo,c)+preambolo.length();
			fine = risposta.indexOf("\"",inizio);
			System.out.println(risposta.substring(inizio, fine));
			listaLink.add(risposta.substring(inizio,fine));
			c = fine;
		}
		return listaLink;
	}

}
