import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.io.Writer;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.Socket;
import java.net.URL;
import java.util.List;
import java.util.Map;


public class RequestProcessor2 implements Runnable {

	private Socket s;
	private UserAgent agents;

	public RequestProcessor2(Socket request) {
		this.s = request;
	}

	public void run( ) {
		try {
			Writer out = new OutputStreamWriter(s.getOutputStream(),"ASCII");
			BufferedReader br = new BufferedReader(new InputStreamReader(s.getInputStream( ),"ASCII"));
			//Richiesta
			String get = br.readLine();
			System.out.println(get);
			String[] getElement = get.split(" ");
			String method = getElement[0];
			String protocol = getElement[2];
			if (method.equals("GET") && (protocol.equals("HTTP/1.0") || protocol.equals("HTTP/1.1") )) {
				try{
					URL u = new URL("http://"+getElement[1]);
					HttpURLConnection huc = (HttpURLConnection) u.openConnection();
					while(!(get=br.readLine()).equals("")){
						String[] request = get.split(":");
						huc.setRequestProperty(request[0], request[1]);
					}
					huc.connect();
					out.write("HTTP/1.4 605 AhAhAh\r\n");
					int count = 1;
					String key = huc.getHeaderFieldKey(count);
					while(key!=null){
						out.write(key + ":" + huc.getHeaderField(count)+"\r\n");
						count++;
						key = huc.getHeaderFieldKey(count);
					}
					out.flush();
					out.write("\r\n");
					InputStreamReader isr = new InputStreamReader(huc.getInputStream());
					char[] buf = new char[512];
					int c;
					while((c=isr.read(buf))!=-1){
						out.write(buf,0,c);
						out.flush();
					}
				}catch(MalformedURLException mue){
					out.write("Richiesta non corretta\r\n");
					out.flush();
				}

			}
			else {
				out.write("Richiesta non accettata\r\n");
			}
		}
		catch (IOException ex) {
		}
		finally {
			try {
				s.close( );
			}
			catch (IOException ex) {}
		}
	}

}
